TaskAttemptReportPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records.impl.pb, class: TaskAttemptReportPBImpl

Package org.apache.hadoop.mapreduce.v2.api.records.impl.pb

# Class TaskAttemptReportPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptReportProto>
org.apache.hadoop.mapreduce.v2.api.records.impl.pb.TaskAttemptReportPBImpl

All Implemented Interfaces:
  `TaskAttemptReport`

public class TaskAttemptReportPBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptReportProto> implements TaskAttemptReport

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAttemptReportPBImpl()`
  `TaskAttemptReportPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptReportProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.records.ContainerId`
  `getContainerId()`
  `Counters`
  `getCounters()`
  `String`
  `getDiagnosticInfo()`
  `long`
  `getFinishTime()`
  `String`
  `getNodeManagerHost()`
  `int`
  `getNodeManagerHttpPort()`
  `int`
  `getNodeManagerPort()`
  `Phase`
  `getPhase()`
  `float`
  `getProgress()`
  `org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptReportProto`
  `getProto()`
  `org.apache.hadoop.mapreduce.Counters`
  `getRawCounters()`
  `long`
  `getShuffleFinishTime()`
  `long`
  `getSortFinishTime()`
  `long`
  `getStartTime()`
  `String`
  `getStateString()`
  `TaskAttemptId`
  `getTaskAttemptId()`
  `TaskAttemptState`
  `getTaskAttemptState()`
  `void`
  `setContainerId(org.apache.hadoop.yarn.api.records.ContainerId containerId)`
  `void`
  `setCounters(Counters counters)`
  `void`
  `setDiagnosticInfo(String diagnosticInfo)`
  `void`
  `setFinishTime(long finishTime)`
  `void`
  `setNodeManagerHost(String nmHost)`
  `void`
  `setNodeManagerHttpPort(int nmHttpPort)`
  `void`
  `setNodeManagerPort(int nmPort)`
  `void`
  `setPhase(Phase phase)`
  `void`
  `setProgress(float progress)`
  `void`
  `setRawCounters(org.apache.hadoop.mapreduce.Counters rCounters)`
  `void`
  `setShuffleFinishTime(long time)`
  Set the shuffle finish time.
  `void`
  `setSortFinishTime(long time)`
  Set the sort/merge finish time.
  `void`
  `setStartTime(long startTime)`
  `void`
  `setStateString(String stateString)`
  `void`
  `setTaskAttemptId(TaskAttemptId taskAttemptId)`
  `void`
  `setTaskAttemptState(TaskAttemptState taskAttemptState)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskAttemptReportPBImpl

    public TaskAttemptReportPBImpl()

  - ### TaskAttemptReportPBImpl

    public TaskAttemptReportPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptReportProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptReportProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptReportProto>`

  - ### getCounters

    public Counters getCounters()
    Specified by:
      `getCounters` in interface `TaskAttemptReport`

  - ### setCounters

    public void setCounters(Counters counters)
    Specified by:
      `setCounters` in interface `TaskAttemptReport`

  - ### getRawCounters

    public org.apache.hadoop.mapreduce.Counters getRawCounters()
    Specified by:
      `getRawCounters` in interface `TaskAttemptReport`

  - ### setRawCounters

    public void setRawCounters(org.apache.hadoop.mapreduce.Counters rCounters)
    Specified by:
      `setRawCounters` in interface `TaskAttemptReport`

  - ### getStartTime

    public long getStartTime()
    Specified by:
      `getStartTime` in interface `TaskAttemptReport`

  - ### setStartTime

    public void setStartTime(long startTime)
    Specified by:
      `setStartTime` in interface `TaskAttemptReport`

  - ### getFinishTime

    public long getFinishTime()
    Specified by:
      `getFinishTime` in interface `TaskAttemptReport`

  - ### setFinishTime

    public void setFinishTime(long finishTime)
    Specified by:
      `setFinishTime` in interface `TaskAttemptReport`

  - ### getShuffleFinishTime

    public long getShuffleFinishTime()
    Specified by:
      `getShuffleFinishTime` in interface `TaskAttemptReport`
    Returns:
      the shuffle finish time. Applicable only for reduce attempts

  - ### setShuffleFinishTime

    public void setShuffleFinishTime(long time)
    Description copied from interface: `TaskAttemptReport`
    Set the shuffle finish time. Applicable only for reduce attempts
    Specified by:
      `setShuffleFinishTime` in interface `TaskAttemptReport`
    Parameters:
      `time` - the time the shuffle finished.

  - ### getSortFinishTime

    public long getSortFinishTime()
    Specified by:
      `getSortFinishTime` in interface `TaskAttemptReport`
    Returns:
      the sort/merge finish time. Applicable only for reduce attempts

  - ### setSortFinishTime

    public void setSortFinishTime(long time)
    Description copied from interface: `TaskAttemptReport`
    Set the sort/merge finish time. Applicable only for reduce attempts
    Specified by:
      `setSortFinishTime` in interface `TaskAttemptReport`
    Parameters:
      `time` - the time the shuffle finished.

  - ### getTaskAttemptId

    public TaskAttemptId getTaskAttemptId()
    Specified by:
      `getTaskAttemptId` in interface `TaskAttemptReport`

  - ### setTaskAttemptId

    public void setTaskAttemptId(TaskAttemptId taskAttemptId)
    Specified by:
      `setTaskAttemptId` in interface `TaskAttemptReport`

  - ### getTaskAttemptState

    public TaskAttemptState getTaskAttemptState()
    Specified by:
      `getTaskAttemptState` in interface `TaskAttemptReport`

  - ### setTaskAttemptState

    public void setTaskAttemptState(TaskAttemptState taskAttemptState)
    Specified by:
      `setTaskAttemptState` in interface `TaskAttemptReport`

  - ### getProgress

    public float getProgress()
    Specified by:
      `getProgress` in interface `TaskAttemptReport`

  - ### setProgress

    public void setProgress(float progress)
    Specified by:
      `setProgress` in interface `TaskAttemptReport`

  - ### getDiagnosticInfo

    public String getDiagnosticInfo()
    Specified by:
      `getDiagnosticInfo` in interface `TaskAttemptReport`

  - ### setDiagnosticInfo

    public void setDiagnosticInfo(String diagnosticInfo)
    Specified by:
      `setDiagnosticInfo` in interface `TaskAttemptReport`

  - ### getStateString

    public String getStateString()
    Specified by:
      `getStateString` in interface `TaskAttemptReport`

  - ### setStateString

    public void setStateString(String stateString)
    Specified by:
      `setStateString` in interface `TaskAttemptReport`

  - ### getPhase

    public Phase getPhase()
    Specified by:
      `getPhase` in interface `TaskAttemptReport`

  - ### setPhase

    public void setPhase(Phase phase)
    Specified by:
      `setPhase` in interface `TaskAttemptReport`

  - ### getNodeManagerHost

    public String getNodeManagerHost()
    Specified by:
      `getNodeManagerHost` in interface `TaskAttemptReport`

  - ### setNodeManagerHost

    public void setNodeManagerHost(String nmHost)
    Specified by:
      `setNodeManagerHost` in interface `TaskAttemptReport`

  - ### getNodeManagerPort

    public int getNodeManagerPort()
    Specified by:
      `getNodeManagerPort` in interface `TaskAttemptReport`

  - ### setNodeManagerPort

    public void setNodeManagerPort(int nmPort)
    Specified by:
      `setNodeManagerPort` in interface `TaskAttemptReport`

  - ### getNodeManagerHttpPort

    public int getNodeManagerHttpPort()
    Specified by:
      `getNodeManagerHttpPort` in interface `TaskAttemptReport`

  - ### setNodeManagerHttpPort

    public void setNodeManagerHttpPort(int nmHttpPort)
    Specified by:
      `setNodeManagerHttpPort` in interface `TaskAttemptReport`

  - ### getContainerId

    public org.apache.hadoop.yarn.api.records.ContainerId getContainerId()
    Specified by:
      `getContainerId` in interface `TaskAttemptReport`

  - ### setContainerId

    public void setContainerId(org.apache.hadoop.yarn.api.records.ContainerId containerId)
    Specified by:
      `setContainerId` in interface `TaskAttemptReport`